Update configure scripts in xfstests directory.
[xfstests-dev.git] / aclocal.m4
1 # aclocal.m4 generated automatically by aclocal 1.6.3 -*- Autoconf -*-
2
3 # Copyright 1996, 1997, 1998, 1999, 2000, 2001, 2002
4 # Free Software Foundation, Inc.
5 # This file is free software; the Free Software Foundation
6 # gives unlimited permission to copy and/or distribute it,
7 # with or without modifications, as long as this notice is preserved.
8
9 # This program is distributed in the hope that it will be useful,
10 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
11 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
12 # PARTICULAR PURPOSE.
13
14
15 # Generic macro, sets up all of the global packaging variables.
16 # The following environment variables may be set to override defaults:
17 #   DEBUG OPTIMIZER MALLOCLIB PLATFORM DISTRIBUTION INSTALL_USER INSTALL_GROUP
18 #   BUILD_VERSION
19 #
20 AC_DEFUN([AC_PACKAGE_GLOBALS],
21   [ pkg_name="$1"
22     AC_SUBST(pkg_name)
23
24     . ./VERSION
25     pkg_version=${PKG_MAJOR}.${PKG_MINOR}.${PKG_REVISION}
26     AC_SUBST(pkg_version)
27     pkg_release=$PKG_BUILD
28     test -z "$BUILD_VERSION" || pkg_release="$BUILD_VERSION"
29     AC_SUBST(pkg_release)
30
31     DEBUG=${DEBUG:-'-DDEBUG'}           dnl  -DNDEBUG
32     debug_build="$DEBUG"
33     AC_SUBST(debug_build)
34
35     OPTIMIZER=${OPTIMIZER:-'-g'}        dnl  -O2
36     opt_build="$OPTIMIZER"
37     AC_SUBST(opt_build)
38
39     MALLOCLIB=${MALLOCLIB:-''}          dnl  /usr/lib/libefence.a
40     malloc_lib="$MALLOCLIB"
41     AC_SUBST(malloc_lib)
42
43     PKG_USER=${INSTALL_USER:-'root'}
44     pkg_user="$PKG_USER"
45     AC_SUBST(pkg_user)
46
47     PKG_GROUP=${INSTALL_GROUP:-'root'}
48     pkg_group="$PKG_GROUP"
49     AC_SUBST(pkg_group)
50
51     pkg_distribution=`uname -s`
52     test -z "$DISTRIBUTION" || pkg_distribution="$DISTRIBUTION"
53     AC_SUBST(pkg_distribution)
54
55     pkg_platform=`uname -s | tr 'A-Z' 'a-z' | sed -e 's/irix64/irix/'`
56     test -z "$PLATFORM" || pkg_platform="$PLATFORM"
57     AC_SUBST(pkg_platform)
58   ])
59
60 #
61 # Check for specified utility (env var) - if unset, fail.
62
63 AC_DEFUN([AC_PACKAGE_NEED_UTILITY],
64   [ if test -z "$2"; then
65         echo
66         echo FATAL ERROR: $3 does not seem to be installed.
67         echo $1 cannot be built without a working $4 installation.
68         exit 1
69     fi
70   ])
71
72 #
73 # Generic macro, sets up all of the global build variables.
74 # The following environment variables may be set to override defaults:
75 #  CC MAKE LIBTOOL TAR ZIP MAKEDEPEND AWK SED ECHO SORT
76 #  MSGFMT MSGMERGE RPM
77 #
78 AC_DEFUN([AC_PACKAGE_UTILITIES],
79   [ AC_PROG_CC
80     cc="$CC"
81     AC_SUBST(cc)
82     AC_PACKAGE_NEED_UTILITY($1, "$cc", cc, [C compiler])
83
84     if test -z "$MAKE"; then
85         AC_PATH_PROG(MAKE, gmake,, /usr/bin:/usr/freeware/bin)
86     fi
87     if test -z "$MAKE"; then
88         AC_PATH_PROG(MAKE, make,, /usr/bin)
89     fi
90     make=$MAKE
91     AC_SUBST(make)
92     AC_PACKAGE_NEED_UTILITY($1, "$make", make, [GNU make])
93
94     if test -z "$LIBTOOL"; then
95         AC_PATH_PROG(LIBTOOL, glibtool,, /usr/bin)
96     fi
97     if test -z "$LIBTOOL"; then
98         AC_PATH_PROG(LIBTOOL, libtool,, /usr/bin:/usr/local/bin:/usr/freeware/bin)
99     fi
100     libtool=$LIBTOOL
101     AC_SUBST(libtool)
102     AC_PACKAGE_NEED_UTILITY($1, "$libtool", libtool, [GNU libtool])
103
104     if test -z "$TAR"; then
105         AC_PATH_PROG(TAR, tar,, /usr/freeware/bin:/bin:/usr/local/bin:/usr/bin)
106     fi
107     tar=$TAR
108     AC_SUBST(tar)
109     if test -z "$ZIP"; then
110         AC_PATH_PROG(ZIP, gzip,, /bin:/usr/local/bin:/usr/freeware/bin)
111     fi
112
113     zip=$ZIP
114     AC_SUBST(zip)
115
116     if test -z "$MAKEDEPEND"; then
117         AC_PATH_PROG(MAKEDEPEND, makedepend, /bin/true)
118     fi
119     makedepend=$MAKEDEPEND
120     AC_SUBST(makedepend)
121
122     if test -z "$AWK"; then
123         AC_PATH_PROG(AWK, awk,, /bin:/usr/bin)
124     fi
125     awk=$AWK
126     AC_SUBST(awk)
127
128     if test -z "$SED"; then
129         AC_PATH_PROG(SED, sed,, /bin:/usr/bin)
130     fi
131     sed=$SED
132     AC_SUBST(sed)
133
134     if test -z "$ECHO"; then
135         AC_PATH_PROG(ECHO, echo,, /bin:/usr/bin)
136     fi
137     echo=$ECHO
138     AC_SUBST(echo)
139
140     if test -z "$SORT"; then
141         AC_PATH_PROG(SORT, sort,, /bin:/usr/bin)
142     fi
143     sort=$SORT
144     AC_SUBST(sort)
145
146     dnl check if symbolic links are supported
147     AC_PROG_LN_S
148
149     if test "$enable_gettext" = yes; then
150         if test -z "$MSGFMT"; then
151                 AC_PATH_PROG(MSGFMT, msgfmt,, /usr/bin:/usr/freeware/bin)
152         fi
153         msgfmt=$MSGFMT
154         AC_SUBST(msgfmt)
155         AC_PACKAGE_NEED_UTILITY($1, "$msgfmt", msgfmt, gettext)
156
157         if test -z "$MSGMERGE"; then
158                 AC_PATH_PROG(MSGMERGE, msgmerge,, /usr/bin:/usr/freeware/bin)
159         fi
160         msgmerge=$MSGMERGE
161         AC_SUBST(msgmerge)
162         AC_PACKAGE_NEED_UTILITY($1, "$msgmerge", msgmerge, gettext)
163     fi
164
165     if test -z "$RPM"; then
166         AC_PATH_PROG(RPM, rpm,, /bin:/usr/bin:/usr/freeware/bin)
167     fi
168     rpm=$RPM
169     AC_SUBST(rpm)
170
171     dnl .. and what version is rpm
172     rpm_version=0
173     test -x "$RPM" && rpm_version=`$RPM --version \
174                         | awk '{print $NF}' | awk -F. '{V=1; print $V}'`
175     AC_SUBST(rpm_version)
176     dnl At some point in rpm 4.0, rpm can no longer build rpms, and
177     dnl rpmbuild is needed (rpmbuild may go way back; not sure)
178     dnl So, if rpm version >= 4.0, look for rpmbuild.  Otherwise build w/ rpm
179     if test $rpm_version -ge 4; then
180         AC_PATH_PROG(RPMBUILD, rpmbuild)
181         rpmbuild=$RPMBUILD
182     else
183         rpmbuild=$RPM
184     fi
185     AC_SUBST(rpmbuild)
186   ])
187
188 AC_DEFUN([AC_PACKAGE_NEED_UUID_H],
189   [ AC_CHECK_HEADERS(uuid.h)
190     if test $ac_cv_header_uuid_h = no; then
191         AC_CHECK_HEADERS(uuid/uuid.h,, [
192         echo
193         echo 'FATAL ERROR: could not find a valid UUID header.'
194         echo 'Install the Universally Unique Identifiers development package.'
195         exit 1])
196     fi
197   ])
198
199 AC_DEFUN([AC_PACKAGE_NEED_UUIDCOMPARE],
200   [ AC_CHECK_FUNCS(uuid_compare)
201     if test $ac_cv_func_uuid_compare = yes; then
202         libuuid=""
203     else
204         AC_CHECK_LIB(uuid, uuid_compare,, [
205             echo
206             echo 'FATAL ERROR: could not find a valid UUID library.'
207             echo 'Install the Universally Unique Identifiers library package.'
208             exit 1])
209         libuuid="-luuid"
210     fi
211     AC_SUBST(libuuid)
212   ])
213
214 AC_DEFUN([AC_PACKAGE_NEED_SYS_ACL_H],
215   [ AC_CHECK_HEADERS([sys/acl.h])
216     if test "$ac_cv_header_sys_acl_h" != "yes"; then
217         echo
218         echo 'FATAL ERROR: sys/acl.h does not exist.'
219         echo 'Install the access control lists (acl) development package.'
220         echo 'Alternatively, run "make install-lib" from the acl source.'
221         exit 1
222     fi
223   ])
224
225 AC_DEFUN([AC_PACKAGE_NEED_ACL_LIBACL_H],
226   [ AC_CHECK_HEADERS([acl/libacl.h])
227     if test "$ac_cv_header_acl_libacl_h" != "yes"; then
228         echo
229         echo 'FATAL ERROR: acl/libacl.h does not exist.'
230         echo 'Install the access control lists (acl) development package.'
231         echo 'Alternatively, run "make install-lib" from the acl source.'
232         exit 1
233     fi
234   ])
235
236
237 AC_DEFUN([AC_PACKAGE_NEED_ACLINIT_LIBACL],
238   [ AC_CHECK_LIB(acl, acl_init,, [
239         echo
240         echo 'FATAL ERROR: could not find a valid Access Control List library.'
241         echo 'Install either the libacl (rpm) or the libacl1 (deb) package.'
242         echo 'Alternatively, run "make install-lib" from the acl source.'
243         exit 1
244     ])
245     libacl="-lacl"
246     test -f `pwd`/../acl/libacl/libacl.la && \
247         libacl="`pwd`/../acl/libacl/libacl.la"
248     test -f /usr/lib/libacl.la && libacl="/usr/lib/libacl.la"
249     AC_SUBST(libacl)
250   ])
251
252 AC_DEFUN([AC_PACKAGE_NEED_ATTR_XATTR_H],
253   [ AC_CHECK_HEADERS([attr/xattr.h])
254     if test "$ac_cv_header_attr_xattr_h" != "yes"; then
255         echo
256         echo 'FATAL ERROR: attr/xattr.h does not exist.'
257         echo 'Install the extended attributes (attr) development package.'
258         echo 'Alternatively, run "make install-lib" from the attr source.'
259         exit 1
260     fi
261   ])
262
263 AC_DEFUN([AC_PACKAGE_NEED_ATTR_ERROR_H],
264   [ AC_CHECK_HEADERS([attr/error_context.h])
265     if test "$ac_cv_header_attr_error_context_h" != "yes"; then
266         echo
267         echo 'FATAL ERROR: attr/error_context.h does not exist.'
268         echo 'Install the extended attributes (attr) development package.'
269         echo 'Alternatively, run "make install-lib" from the attr source.'
270         exit 1
271     fi
272   ])
273
274 AC_DEFUN([AC_PACKAGE_NEED_ATTRIBUTES_H],
275   [ have_attributes_h=false
276     AC_CHECK_HEADERS([attr/attributes.h sys/attributes.h], [have_attributes_h=true], )
277     if test "$have_attributes_h" = "false"; then
278         echo
279         echo 'FATAL ERROR: attributes.h does not exist.'
280         echo 'Install the extended attributes (attr) development package.'
281         echo 'Alternatively, run "make install-lib" from the attr source.'
282         exit 1
283     fi
284   ])
285
286 AC_DEFUN([AC_PACKAGE_NEED_GETXATTR_LIBATTR],
287   [ AC_CHECK_LIB(attr, getxattr,, [
288         echo
289         echo 'FATAL ERROR: could not find a valid Extended Attributes library.'
290         echo 'Install the extended attributes (attr) development package.'
291         echo 'Alternatively, run "make install-lib" from the attr source.'
292         exit 1
293     ])
294     libattr="-lattr"
295     test -f `pwd`/../attr/libattr/libattr.la && \
296         libattr="`pwd`/../attr/libattr/libattr.la"
297     test -f /usr/lib/libattr.la && libattr="/usr/lib/libattr.la"
298     AC_SUBST(libattr)
299   ])
300
301 AC_DEFUN([AC_PACKAGE_NEED_ATTRGET_LIBATTR],
302   [ AC_CHECK_LIB(attr, attr_get,, [
303         echo
304         echo 'FATAL ERROR: could not find a valid Extended Attributes library.'
305         echo 'Install the extended attributes (attr) development package.'
306         echo 'Alternatively, run "make install-lib" from the attr source.'
307         exit 1
308     ])
309     libattr="-lattr"
310     test -f `pwd`/../attr/libattr/libattr.la && \
311         libattr="`pwd`/../attr/libattr/libattr.la"
312     test -f /usr/lib/libattr.la && libattr="/usr/lib/libattr.la"
313     AC_SUBST(libattr)
314   ])
315
316 AC_DEFUN([AC_PACKAGE_NEED_ATTRIBUTES_MACROS],
317   [ AC_MSG_CHECKING([macros in attr/attributes.h])
318     AC_TRY_LINK([
319 #include <sys/types.h>
320 #include <attr/attributes.h>],
321     [ int x = ATTR_SECURE; ], [ echo ok ], [
322         echo
323         echo 'FATAL ERROR: could not find a current attributes header.'
324         echo 'Upgrade the extended attributes (attr) development package.'
325         echo 'Alternatively, run "make install-dev" from the attr source.'
326         exit 1 ])
327   ])
328
329 AC_DEFUN([AC_PACKAGE_WANT_NDBM],
330   [ AC_CHECK_HEADERS(ndbm.h, [ have_db=true ], [ have_db=false ])
331     libgdbm=""
332     AC_SUBST(libgdbm)
333     AC_SUBST(have_db)
334   ])
335
336 AC_DEFUN([AC_PACKAGE_WANT_GDBM],
337   [ AC_CHECK_HEADERS([gdbm/ndbm.h], [ have_db=true ], [ have_db=false ])
338     if test $have_db = true -a -f /usr/lib/libgdbm.a; then
339         libgdbm="/usr/lib/libgdbm.a"
340     fi
341     AC_SUBST(libgdbm)
342     AC_SUBST(have_db)
343   ])
344
345 AC_DEFUN([AC_PACKAGE_NEED_XFS_LIBXFS_H],
346   [ AC_CHECK_HEADERS([xfs/libxfs.h])
347     if test "$ac_cv_header_xfs_libxfs_h" != "yes"; then
348         echo
349         echo 'FATAL ERROR: cannot find a valid <xfs/libxfs.h> header file.'
350         echo 'Install or upgrade the XFS development package.'
351         echo 'Alternatively, run "make install-dev" from the xfsprogs source.'
352         exit 1
353     fi
354   ])
355
356 AC_DEFUN([AC_PACKAGE_NEED_XFS_XQM_H],
357   [ AC_CHECK_HEADERS([xfs/xqm.h])
358     if test "$ac_cv_header_xfs_xqm_h" != "yes"; then
359         echo
360         echo 'FATAL ERROR: cannot find a valid <xfs/xqm.h> header file.'
361         echo 'Install or upgrade the XFS development package.'
362         echo 'Alternatively, run "make install-dev" from the xfsprogs source.'
363         exit 1
364     fi
365   ])
366
367 AC_DEFUN([AC_PACKAGE_NEED_XFS_HANDLE_H],
368   [ AC_CHECK_HEADERS([xfs/handle.h])
369     if test "$ac_cv_header_xfs_handle_h" != "yes"; then
370         echo
371         echo 'FATAL ERROR: cannot find a valid <xfs/handle.h> header file.'
372         echo 'Install or upgrade the XFS development package.'
373         echo 'Alternatively, run "make install-dev" from the xfsprogs source.'
374         exit 1
375     fi
376   ])
377
378 AC_DEFUN([AC_PACKAGE_NEED_LIBXFSINIT_LIBXFS],
379   [ AC_CHECK_LIB(xfs, libxfs_init,, [
380         echo
381         echo 'FATAL ERROR: could not find a valid XFS base library.'
382         echo 'Install or upgrade the XFS library package.'
383         echo 'Alternatively, run "make install-dev" from the xfsprogs source.'
384         exit 1
385     ])
386     libxfs="-lxfs"
387     test -f `pwd`/../xfsprogs/libxfs/libxfs.la && \
388         libxfs="`pwd`/../xfsprogs/libxfs/libxfs.la"
389     test -f /usr/lib/libxfs.la && libxfs="/usr/lib/libxfs.la"
390     AC_SUBST(libxfs)
391   ])
392
393 AC_DEFUN([AC_PACKAGE_NEED_OPEN_BY_FSHANDLE],
394   [ AC_CHECK_LIB(handle, open_by_fshandle,, [
395         echo
396         echo 'FATAL ERROR: could not find a current XFS handle library.'
397         echo 'Install or upgrade the XFS library package.'
398         echo 'Alternatively, run "make install-dev" from the xfsprogs source.'
399         exit 1
400     ])
401     libhdl="-lhandle"
402     test -f `pwd`/../xfsprogs/libhandle/libhandle.la && \
403         libhdl="`pwd`/../xfsprogs/libhandle/libhandle.la"
404     test -f /usr/lib/libhandle.la && libhdl="/usr/lib/libhandle.la"
405     AC_SUBST(libhdl)
406   ])
407
408 AC_DEFUN([AC_PACKAGE_NEED_ATTRLIST_LIBHANDLE],
409   [ AC_CHECK_LIB(handle, attr_list_by_handle,, [
410         echo
411         echo 'FATAL ERROR: could not find a current XFS handle library.'
412         echo 'Install or upgrade the XFS library package.'
413         echo 'Alternatively, run "make install-lib" from the xfsprogs source.'
414         exit 1
415     ])
416     libhdl="-lhandle"
417     test -f `pwd`/../xfsprogs/libhandle/libhandle.la && \
418         libhdl="`pwd`/../xfsprogs/libhandle/libhandle.la"
419     test -f /usr/lib/libhandle.la && libhdl="/usr/lib/libhandle.la"
420     AC_SUBST(libhdl)
421   ])
422
423 AC_DEFUN([AC_PACKAGE_NEED_XFSCTL_MACRO],
424   [ AC_MSG_CHECKING([xfsctl from xfs/libxfs.h])
425     AC_TRY_LINK([#include <xfs/libxfs.h>], [ int x = xfsctl(0, 0, 0, 0); ],
426       [ echo ok ],
427       [ echo
428         echo 'FATAL ERROR: cannot find required macros in the XFS headers.'
429         echo 'Upgrade your XFS programs (xfsprogs) development package.'
430         echo 'Alternatively, run "make install-dev" from the xfsprogs source.'
431         exit 1
432       ])
433   ])
434